Lập Trình Linux

Cài đặt apache2, mysql, php trên Linux (ubuntu)




Cài đặt môi trường phát triển PHP trên Ubuntu 12.10 ( Dành cho người mới bắt đầu )

– Các câu hỏi liên quan liên hệ qua facebook :
=============================
1. Cài đặt Apache Server

sudo apt-get install apache2

2. Cài đặt MySQL Server

sudo apt-get install mysql-server

3. Cài đặt PHP 5

sudo apt-get install php5 libapache2-mod-php5

các gói cài thêm:

sudo apt-get install php5-mysql php5-curl php5-gd php5-idn php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl

– Search tên các gói PHP5 hỗ trợ : sudo apt-cache search php5

4 Cài đặt PHPMyAdmin :

sudo apt-get install phpmyadmin

Nguồn:https://ftlinuxcourse.com/

Xem Thêm Bài Viết Khác:https://ftlinuxcourse.com/lap-trinh-linux

Máy Tính
[THUANEXP] Nâng cấp RAM và SSD cho Laptop (Asus X550LD) – Khó hay dễ còn tùy ở kết cấu máy
Tin HOT
Redmi Note 9 Pro First Impressions: Mixed Feelings!
Tin HOT
Sàn đấu ca từ 4 | Tập 6 FULL: Thanh Duy, Đào Bá Lộc "quẫy banh nóc" khiến Huy, Sam cực phấn khích
  • a có video dạy cài mail server ko


  • minh go bo apache2 ra roi gio minh cai lai thi no bi loi .. help me


  • e gõ dòng cài apache xong n đòi password mà k thể nào nhập dc là sao a


  • nai xi`


  • Anh Chung Trần cho em hỏi,ví dụ em muốn chạy wordpress trong LAMP thì thế nào em đã copy file wordpress tới var/www và var/www/html .Sau đó em chạy localhost/wordpress nó không hiện ra kết quả gì cả.Em muốn hỏi làm sao để chạy được thư mục wordpress hay thư mục chứa php trong lamp ạ.Em tìm hoài cả mấy ngày nay rồi nhưng chưa được anh giúp em với hjx


  • cho e hỏi với sao lúc dung lệnh sudo apt-get install php5 libapache2-mod-php5 xong nó không được nó hiện ra như thế này, e dùng ubuntu 16.04
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Package libapache2-mod-php5 is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source

    Package php5 is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source


  • a ơi cài apache2!gõ xong lệnh r mà nó hiện 0 nâng cấp,0 cài đặt mới,0 cần gỡ bỏ 87 chưa được nâng cấp..
    không có tới đoạn Y/N làm sao a


  • làm sao mình tạo được forder Project rồi chạy locallhost/Project để chạy nó vậy admin!! Cái Ubuntu này khó chịu qúa


  • đừng có chèn nhạc vào bạn ơi, chả nghe cái gì cả


  • hay.


  • thanhk anh nhe' 🙂